Go Down

Topic: ArduBlock - Arduino 1.8.1 (Read 16343 times) previous topic - next topic

JonasDJ

Hello

Is there any news of an update for Arduino so the ArduBlock extension can work again. Now i still need to use Arduino 1.6.11

Thanks

Greetz

pert

One of the Arduino developers was kind enough to submit a fix for the issue that would make ArduBlock work with any version of the Arduino IDE:
https://github.com/taweili/ardublock/pull/160
The ArduBlock developer hasn't bothered to merge that change and it's been 2.5 months.

I see there is a fork of ArduBlock that has fixed the issue:
https://github.com/stfc/ardublock
Unfortunately it seems to be not up to date with the latest of the original repository but I'm not sure how significant the difference is.



MechaNick

I would be interested in an update as well. Can anyone direct me to the latest version of the IDE that the Ardublocks add-on works with? This would be on windows machines, if that makes any difference.

pert

The Ardublock project is looking pretty dead. The developer won't make the minimal effort to merge the fix to make it work with recent versions of the Arduino IDE and the Ardublock forums are broken.

You could look through the various forks of the project to see if any of them are actively maintained:
https://github.com/taweili/ardublock/network

If not I think it's probably a waste of time to mess with Ardublock and you should look for another alternative.

Chrisoli81

hi

These guys have done an update check there download link.

http://www.carobot.cc/how-to/ardublock/

I have also found that i needed the scoop library as the scoopME does not work.

 
hope that helps....

mivison

Carobot's version works awsome! I wish more people would use this so it will catch on.

http://www.carobot.cc/how-to/ardublock/

pert

The fix for compatibility with recent versions of the Arduino IDE was finally merged into the official ArduBlock website a month ago. The latest release of ArduBlock:
https://github.com/taweili/ardublock/releases
Should work fine now.

I think it's great that carobot made the fix while ArduBlock was being so slow to deal with the problem and it may still be a good alternative. I can't say because I've never used either. I just thought that I should update this thread with the new information I have on this issue.

keurus

Hello Gentleman's!
Where do i find dallas ds18b20 in ardublock?

veruquita

Hi, I need to use a DHT with Ardublock. I`ve the libraries installed on Arduino, but I don`t know how read the sensor fron Ardublock.
Thanks!

stev0

The fix for compatibility with recent versions of the Arduino IDE was finally merged into the official ArduBlock website a month ago. The latest release of ArduBlock:
https://github.com/taweili/ardublock/releases
Should work fine now.

I think it's great that carobot made the fix while ArduBlock was being so slow to deal with the problem and it may still be a good alternative. I can't say because I've never used either. I just thought that I should update this thread with the new information I have on this issue.
thank you very mutch for this info. no i can finally use the ArduBlock Software :-)

alihussainkabri

hy.
I want to make a project for hand motion control in which i am going to use 3 axis accelerometer so how can i code that using ardu block.
Please help me as soon as possible.

rbright

Has anyone got this working recently ??? I'm using the following link with IDE 1.8.5 without any sucess
https://github.com/taweili/ardublock/releases

pert

Please provide details of what you mean by "without any sucess".

oddarn0

Thank you perk! It worked fine for me now with Arduino IDE 1.8.8 on Windows10 :)

lets_do_it

#14
May 10, 2019, 09:38 am Last Edit: May 10, 2019, 09:41 am by lets_do_it
Thank you perk! It worked fine for me now with Arduino IDE 1.8.8 on Windows10 :)
do I understand right, that Ardublocks can work with Arduino IDE 1.8.8? What was done her to make it work? I think there are a lot of people out here that would love to work wit Ardublocks. Me for example :-)
I have 1.8.9 installed, can upload a sketch but getting just error messages. Did I miss a required update or so?
I am on a MAC OS10.14.4

Go Up